/****************************************************************************
**
** Copyright (C) 2016 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of Qt for Python.
**
** $QT_BEGIN_LICENSE:LGPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 3 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL3 included in the
** packaging of this file. Please review the following information to
** ensure the GNU Lesser General Public License version 3 requirements
** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 2.0 or (at your option) the GNU General
** Public license version 3 or any later version approved by the KDE Free
** Qt Foundation. The licenses are as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-2.0.html and
** https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

//workaround to access protected functions
#define protected public

// default includes
#include <shiboken.h>
#ifndef QT_NO_VERSION_TAGGING
#  define QT_NO_VERSION_TAGGING
#endif
#include <QDebug>
#include <pysidesignal.h>
#include <pysideproperty.h>
#include <pyside.h>
#include <pysideqenum.h>
#include <feature_select.h>
QT_WARNING_DISABLE_DEPRECATED

#include <typeinfo>
#include <iterator>

// module include
#include "pyside6_qtnetwork_python.h"

// main header
#include "qnetworkcookie_wrapper.h"

// inner classes

// Extra includes
#include <QDateTime>
#include <QList>
#include <QtNetwork/qnetworkcookie.h>
#include <qbytearray.h>
#include <qdatetime.h>
#include <qobject.h>
#include <qurl.h>


#include <cctype>
#include <cstring>



template <class T>
static const char *typeNameOf(const T &t)
{
    const char *typeName =  typeid(t).name();
    auto size = std::strlen(typeName);
#if defined(Q_CC_MSVC) // MSVC: "class QPaintDevice * __ptr64"
    if (auto lastStar = strchr(typeName, '*')) {
        // MSVC: "class QPaintDevice * __ptr64"
        while (*--lastStar == ' ') {
        }
        size = lastStar - typeName + 1;
    }
#else // g++, Clang: "QPaintDevice *" -> "P12QPaintDevice"
    if (size > 2 && typeName[0] == 'P' && std::isdigit(typeName[1])) {
        ++typeName;
        --size;
    }
#endif
    char *result = new char[size + 1];
    result[size] = '\0';
    memcpy(result, typeName, size);
    return result;
}


// Target ---------------------------------------------------------

extern "C" {
static int
Sbk_QNetworkCookie_Init(PyObject *self, PyObject *args, PyObject *kwds)
{
    SbkObject *sbkSelf = reinterpret_cast<SbkObject *>(self);
    PySide::Feature::Select(self);
    if (Shiboken::Object::isUserType(self) && !Shiboken::ObjectType::canCallConstructor(self->ob_type, Shiboken::SbkType< ::QNetworkCookie >()))
        return -1;

    ::QNetworkCookie *cptr{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.__init__";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp[2];
    SBK_UNUSED(pythonToCpp)
    const Py_ssize_t numArgs = PyTuple_GET_SIZE(args);
    SBK_UNUSED(numArgs)
    PyObject *pyArgs[] = {0, 0};

    // invalid argument lengths
    if (numArgs > 2) {
        static PyObject *const too_many = Shiboken::String::createStaticString(">");
        errInfo.reset(too_many);
        Py_INCREF(errInfo.object());
        goto Sbk_QNetworkCookie_Init_TypeError;
    }

    if (!PyArg_ParseTuple(args, "|OO:QNetworkCookie", &(pyArgs[0]), &(pyArgs[1])))
        return -1;


    // Overloaded function decisor
    // 0: QNetworkCookie::QNetworkCookie(QByteArray,QByteArray)
    // 1: QNetworkCookie::QNetworkCookie(QNetworkCookie)
    if (numArgs == 0) {
        overloadId = 0; // QNetworkCookie(QByteArray,QByteArray)
    } else if (numArgs == 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], (pyArgs[0])))) {
        overloadId = 1; // QNetworkCookie(QNetworkCookie)
    } else if (numArgs >= 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QBYTEARRAY_IDX], (pyArgs[0])))) {
        if (numArgs == 1) {
            overloadId = 0; // QNetworkCookie(QByteArray,QByteArray)
        } else if (numArgs >= 2
            && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QBYTEARRAY_IDX], (pyArgs[1])))) {
            overloadId = 0; // QNetworkCookie(QByteArray,QByteArray)
        }
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookie_Init_TypeError;

    // Call function/method
    switch (overloadId) {
        case 0: // QNetworkCookie(const QByteArray & name, const QByteArray & value)
        {
            if (kwds && PyDict_Size(kwds) > 0) {
                PyObject *value{};
                Shiboken::AutoDecRef kwds_dup(PyDict_Copy(kwds));
                static PyObject *const key_name = Shiboken::String::createStaticString("name");
                if (PyDict_Contains(kwds, key_name)) {
                    value = PyDict_GetItem(kwds, key_name);
                    if (value && pyArgs[0]) {
                        errInfo.reset(key_name);
                        Py_INCREF(errInfo.object());
                        goto Sbk_QNetworkCookie_Init_TypeError;
                    }
                    if (value) {
                        pyArgs[0] = value;
                        if (!(pythonToCpp[0] = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QBYTEARRAY_IDX], (pyArgs[0]))))
                            goto Sbk_QNetworkCookie_Init_TypeError;
                    }
                    PyDict_DelItem(kwds_dup, key_name);
                }
                static PyObject *const key_value = Shiboken::String::createStaticString("value");
                if (PyDict_Contains(kwds, key_value)) {
                    value = PyDict_GetItem(kwds, key_value);
                    if (value && pyArgs[1]) {
                        errInfo.reset(key_value);
                        Py_INCREF(errInfo.object());
                        goto Sbk_QNetworkCookie_Init_TypeError;
                    }
                    if (value) {
                        pyArgs[1] = value;
                        if (!(pythonToCpp[1] = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QBYTEARRAY_IDX], (pyArgs[1]))))
                            goto Sbk_QNetworkCookie_Init_TypeError;
                    }
                    PyDict_DelItem(kwds_dup, key_value);
                }
                if (PyDict_Size(kwds_dup) > 0) {
                    errInfo.reset(kwds_dup.release());
                    goto Sbk_QNetworkCookie_Init_TypeError;
                }
            }
            if (!Shiboken::Object::isValid(pyArgs[0]))
                return -1;
            ::QByteArray cppArg0_local = QByteArray();
            ::QByteArray *cppArg0 = &cppArg0_local;
            if (pythonToCpp[0]) {
                if (pythonToCpp[0].isValue())
                    pythonToCpp[0](pyArgs[0], &cppArg0_local);
                else
                    pythonToCpp[0](pyArgs[0], &cppArg0);
                }
            if (!Shiboken::Object::isValid(pyArgs[1]))
                return -1;
            ::QByteArray cppArg1_local = QByteArray();
            ::QByteArray *cppArg1 = &cppArg1_local;
            if (pythonToCpp[1]) {
                if (pythonToCpp[1].isValue())
                    pythonToCpp[1](pyArgs[1], &cppArg1_local);
                else
                    pythonToCpp[1](pyArgs[1], &cppArg1);
                }

            if (!PyErr_Occurred()) {
                // QNetworkCookie(QByteArray,QByteArray)
                cptr = new ::QNetworkCookie(*cppArg0, *cppArg1);
            }
            break;
        }
        case 1: // QNetworkCookie(const QNetworkCookie & other)
        {
            if (kwds && PyDict_Size(kwds) > 0) {
                errInfo.reset(kwds);
                Py_INCREF(errInfo.object());
                goto Sbk_QNetworkCookie_Init_TypeError;
            }
            if (!Shiboken::Object::isValid(pyArgs[0]))
                return -1;
            ::QNetworkCookie cppArg0_local;
            ::QNetworkCookie *cppArg0 = &cppArg0_local;
            if (pythonToCpp[0].isValue())
                pythonToCpp[0](pyArgs[0], &cppArg0_local);
            else
                pythonToCpp[0](pyArgs[0], &cppArg0);


            if (!PyErr_Occurred()) {
                // QNetworkCookie(QNetworkCookie)
                cptr = new ::QNetworkCookie(*cppArg0);
            }
            break;
        }
    }

    if (PyErr_Occurred() || !Shiboken::Object::setCppPointer(sbkSelf, Shiboken::SbkType< ::QNetworkCookie >(), cptr)) {
        delete cptr;
        return -1;
    }
    if (!cptr) goto Sbk_QNetworkCookie_Init_TypeError;

    Shiboken::Object::setValidCpp(sbkSelf, true);
    if (Shiboken::BindingManager::instance().hasWrapper(cptr)) {
        Shiboken::BindingManager::instance().releaseWrapper(Shiboken::BindingManager::instance().retrieveWrapper(cptr));
    }
    Shiboken::BindingManager::instance().registerWrapper(sbkSelf, cptr);


    return 1;

    Sbk_QNetworkCookie_Init_TypeError:
        Shiboken::setErrorAboutWrongArguments(args, fullName, errInfo);
        return -1;
}

static PyObject *Sbk_QNetworkCookieFunc_domain(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.domain";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // domain()const
            QString cppResult = const_cast<const ::QNetworkCookie *>(cppSelf)->domain();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QNetworkCookieFunc_expirationDate(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.expirationDate";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // expirationDate()const
            QDateTime cppResult = const_cast<const ::QNetworkCookie *>(cppSelf)->expirationDate();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypes[SBK_QDATETIME_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QNetworkCookieFunc_hasSameIdentifier(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.hasSameIdentifier";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QNetworkCookie::hasSameIdentifier(QNetworkCookie)const->bool
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], (pyArg)))) {
        overloadId = 0; // hasSameIdentifier(QNetworkCookie)const
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_hasSameIdentifier_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QNetworkCookie cppArg0_local;
        ::QNetworkCookie *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // hasSameIdentifier(QNetworkCookie)const
            bool cppResult = const_cast<const ::QNetworkCookie *>(cppSelf)->hasSameIdentifier(*cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QNetworkCookieFunc_hasSameIdentifier_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_isHttpOnly(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.isHttpOnly";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // isHttpOnly()const
            bool cppResult = const_cast<const ::QNetworkCookie *>(cppSelf)->isHttpOnly();
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QNetworkCookieFunc_isSecure(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.isSecure";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // isSecure()const
            bool cppResult = const_cast<const ::QNetworkCookie *>(cppSelf)->isSecure();
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QNetworkCookieFunc_isSessionCookie(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.isSessionCookie";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // isSessionCookie()const
            bool cppResult = const_cast<const ::QNetworkCookie *>(cppSelf)->isSessionCookie();
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QNetworkCookieFunc_name(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.name";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // name()const
            QByteArray cppResult = const_cast<const ::QNetworkCookie *>(cppSelf)->name();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypes[SBK_QBYTEARRAY_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QNetworkCookieFunc_normalize(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.normalize";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QNetworkCookie::normalize(QUrl)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QURL_IDX], (pyArg)))) {
        overloadId = 0; // normalize(QUrl)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_normalize_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QUrl cppArg0_local;
        ::QUrl *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // normalize(QUrl)
            cppSelf->normalize(*cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QNetworkCookieFunc_normalize_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_parseCookies(PyObject *self, PyObject *pyArg)
{
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.parseCookies";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: static QNetworkCookie::parseCookies(QByteArray)->QList< QNetworkCookie >
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QBYTEARRAY_IDX], (pyArg)))) {
        overloadId = 0; // parseCookies(QByteArray)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_parseCookies_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QByteArray cppArg0_local;
        ::QByteArray *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // parseCookies(QByteArray)
            QList<QNetworkCookie > cppResult = ::QNetworkCookie::parseCookies(*cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtNetworkTypeConverters[SBK_QTNETWORK_QLIST_QNETWORKCOOKIE_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QNetworkCookieFunc_parseCookies_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_path(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.path";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // path()const
            QString cppResult = const_cast<const ::QNetworkCookie *>(cppSelf)->path();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QNetworkCookieFunc_sameSitePolicy(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.sameSitePolicy";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // sameSitePolicy()const
            QNetworkCookie::SameSite cppResult = const_cast<const ::QNetworkCookie *>(cppSelf)->sameSitePolicy();
            pyResult = Shiboken::Conversions::copyToPython(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX]))->converter, &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QNetworkCookieFunc_setDomain(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.setDomain";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QNetworkCookie::setDomain(QString)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], (pyArg)))) {
        overloadId = 0; // setDomain(QString)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_setDomain_TypeError;

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // setDomain(QString)
            cppSelf->setDomain(cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QNetworkCookieFunc_setDomain_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_setExpirationDate(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.setExpirationDate";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QNetworkCookie::setExpirationDate(QDateTime)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QDATETIME_IDX], (pyArg)))) {
        overloadId = 0; // setExpirationDate(QDateTime)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_setExpirationDate_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QDateTime cppArg0_local;
        ::QDateTime *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // setExpirationDate(QDateTime)
            cppSelf->setExpirationDate(*cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QNetworkCookieFunc_setExpirationDate_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_setHttpOnly(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.setHttpOnly";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QNetworkCookie::setHttpOnly(bool)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), (pyArg)))) {
        overloadId = 0; // setHttpOnly(bool)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_setHttpOnly_TypeError;

    // Call function/method
    {
        bool cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // setHttpOnly(bool)
            cppSelf->setHttpOnly(cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QNetworkCookieFunc_setHttpOnly_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_setName(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.setName";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QNetworkCookie::setName(QByteArray)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QBYTEARRAY_IDX], (pyArg)))) {
        overloadId = 0; // setName(QByteArray)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_setName_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QByteArray cppArg0_local;
        ::QByteArray *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // setName(QByteArray)
            cppSelf->setName(*cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QNetworkCookieFunc_setName_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_setPath(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.setPath";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QNetworkCookie::setPath(QString)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], (pyArg)))) {
        overloadId = 0; // setPath(QString)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_setPath_TypeError;

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // setPath(QString)
            cppSelf->setPath(cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QNetworkCookieFunc_setPath_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_setSameSitePolicy(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.setSameSitePolicy";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QNetworkCookie::setSameSitePolicy(QNetworkCookie::SameSite)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX]))->converter, (pyArg)))) {
        overloadId = 0; // setSameSitePolicy(QNetworkCookie::SameSite)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_setSameSitePolicy_TypeError;

    // Call function/method
    {
        ::QNetworkCookie::SameSite cppArg0{QNetworkCookie::SameSite::Default};
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // setSameSitePolicy(QNetworkCookie::SameSite)
            cppSelf->setSameSitePolicy(cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QNetworkCookieFunc_setSameSitePolicy_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_setSecure(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.setSecure";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QNetworkCookie::setSecure(bool)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), (pyArg)))) {
        overloadId = 0; // setSecure(bool)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_setSecure_TypeError;

    // Call function/method
    {
        bool cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // setSecure(bool)
            cppSelf->setSecure(cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QNetworkCookieFunc_setSecure_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_setValue(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.setValue";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QNetworkCookie::setValue(QByteArray)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QBYTEARRAY_IDX], (pyArg)))) {
        overloadId = 0; // setValue(QByteArray)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_setValue_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QByteArray cppArg0_local;
        ::QByteArray *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // setValue(QByteArray)
            cppSelf->setValue(*cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QNetworkCookieFunc_setValue_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_swap(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.swap";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QNetworkCookie::swap(QNetworkCookie&)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], (pyArg)))) {
        overloadId = 0; // swap(QNetworkCookie&)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_swap_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QNetworkCookie cppArg0_local;
        ::QNetworkCookie *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // swap(QNetworkCookie&)
            cppSelf->swap(*cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QNetworkCookieFunc_swap_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_toRawForm(PyObject *self, PyObject *args, PyObject *kwds)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.toRawForm";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp[1];
    SBK_UNUSED(pythonToCpp)
    const Py_ssize_t numArgs = PyTuple_GET_SIZE(args);
    SBK_UNUSED(numArgs)
    PyObject *pyArgs[] = {0};

    // invalid argument lengths
    if (numArgs > 1) {
        static PyObject *const too_many = Shiboken::String::createStaticString(">");
        errInfo.reset(too_many);
        Py_INCREF(errInfo.object());
        goto Sbk_QNetworkCookieFunc_toRawForm_TypeError;
    }

    if (!PyArg_ParseTuple(args, "|O:toRawForm", &(pyArgs[0])))
        return {};


    // Overloaded function decisor
    // 0: QNetworkCookie::toRawForm(QNetworkCookie::RawForm)const->QByteArray
    if (numArgs == 0) {
        overloadId = 0; // toRawForm(QNetworkCookie::RawForm)const
    } else if (numArgs >= 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_RAWFORM_IDX]))->converter, (pyArgs[0])))) {
        overloadId = 0; // toRawForm(QNetworkCookie::RawForm)const
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QNetworkCookieFunc_toRawForm_TypeError;

    // Call function/method
    {
        if (kwds && PyDict_Size(kwds) > 0) {
            PyObject *value{};
            Shiboken::AutoDecRef kwds_dup(PyDict_Copy(kwds));
            static PyObject *const key_form = Shiboken::String::createStaticString("form");
            if (PyDict_Contains(kwds, key_form)) {
                value = PyDict_GetItem(kwds, key_form);
                if (value && pyArgs[0]) {
                    errInfo.reset(key_form);
                    Py_INCREF(errInfo.object());
                    goto Sbk_QNetworkCookieFunc_toRawForm_TypeError;
                }
                if (value) {
                    pyArgs[0] = value;
                    if (!(pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_RAWFORM_IDX]))->converter, (pyArgs[0]))))
                        goto Sbk_QNetworkCookieFunc_toRawForm_TypeError;
                }
                PyDict_DelItem(kwds_dup, key_form);
            }
            if (PyDict_Size(kwds_dup) > 0) {
                errInfo.reset(kwds_dup.release());
                goto Sbk_QNetworkCookieFunc_toRawForm_TypeError;
            }
        }
        ::QNetworkCookie::RawForm cppArg0(QNetworkCookie::RawForm::Full);
        if (pythonToCpp[0])
            pythonToCpp[0](pyArgs[0], &cppArg0);

        if (!PyErr_Occurred()) {
            // toRawForm(QNetworkCookie::RawForm)const
            QByteArray cppResult = const_cast<const ::QNetworkCookie *>(cppSelf)->toRawForm(cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypes[SBK_QBYTEARRAY_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QNetworkCookieFunc_toRawForm_TypeError:
        Shiboken::setErrorAboutWrongArguments(args, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QNetworkCookieFunc_value(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtNetwork.QNetworkCookie.value";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // value()const
            QByteArray cppResult = const_cast<const ::QNetworkCookie *>(cppSelf)->value();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypes[SBK_QBYTEARRAY_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QNetworkCookie___copy__(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto &cppSelf = *reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], &cppSelf);
    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}


static const char *Sbk_QNetworkCookie_PropertyStrings[] = {
    nullptr // Sentinel
};

static PyMethodDef Sbk_QNetworkCookie_methods[] = {
    {"domain", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_domain), METH_NOARGS},
    {"expirationDate", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_expirationDate), METH_NOARGS},
    {"hasSameIdentifier", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_hasSameIdentifier), METH_O},
    {"isHttpOnly", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_isHttpOnly), METH_NOARGS},
    {"isSecure", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_isSecure), METH_NOARGS},
    {"isSessionCookie", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_isSessionCookie), METH_NOARGS},
    {"name", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_name), METH_NOARGS},
    {"normalize", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_normalize), METH_O},
    {"parseCookies", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_parseCookies), METH_O|METH_STATIC},
    {"path", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_path), METH_NOARGS},
    {"sameSitePolicy", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_sameSitePolicy), METH_NOARGS},
    {"setDomain", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_setDomain), METH_O},
    {"setExpirationDate", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_setExpirationDate), METH_O},
    {"setHttpOnly", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_setHttpOnly), METH_O},
    {"setName", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_setName), METH_O},
    {"setPath", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_setPath), METH_O},
    {"setSameSitePolicy", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_setSameSitePolicy), METH_O},
    {"setSecure", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_setSecure), METH_O},
    {"setValue", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_setValue), METH_O},
    {"swap", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_swap), METH_O},
    {"toRawForm", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_toRawForm), METH_VARARGS|METH_KEYWORDS},
    {"value", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookieFunc_value), METH_NOARGS},

    {"__copy__", reinterpret_cast<PyCFunction>(Sbk_QNetworkCookie___copy__), METH_NOARGS},
    {nullptr, nullptr} // Sentinel
};

// Rich comparison
static PyObject * Sbk_QNetworkCookie_richcompare(PyObject *self, PyObject *pyArg, int op)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto &cppSelf = *reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    switch (op) {
        case Py_NE:
            if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], (pyArg)))) {
                // operator!=(const QNetworkCookie & other) const
                if (!Shiboken::Object::isValid(pyArg))
                    return {};
                ::QNetworkCookie cppArg0_local;
                ::QNetworkCookie *cppArg0 = &cppArg0_local;
                if (pythonToCpp.isValue())
                    pythonToCpp(pyArg, &cppArg0_local);
                else
                    pythonToCpp(pyArg, &cppArg0);

                bool cppResult = cppSelf !=(*cppArg0);
                pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
            } else {
                pyResult = Py_True;
                Py_INCREF(pyResult);
            }

            break;
        case Py_EQ:
            if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], (pyArg)))) {
                // operator==(const QNetworkCookie & other) const
                if (!Shiboken::Object::isValid(pyArg))
                    return {};
                ::QNetworkCookie cppArg0_local;
                ::QNetworkCookie *cppArg0 = &cppArg0_local;
                if (pythonToCpp.isValue())
                    pythonToCpp(pyArg, &cppArg0_local);
                else
                    pythonToCpp(pyArg, &cppArg0);

                bool cppResult = cppSelf ==(*cppArg0);
                pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
            } else {
                pyResult = Py_False;
                Py_INCREF(pyResult);
            }

            break;
        default:
            // PYSIDE-74: By default, we redirect to object's tp_richcompare (which is `==`, `!=`).
            return FallbackRichCompare(self, pyArg, op);
            goto Sbk_QNetworkCookie_RichComparison_TypeError;
    }

    if (pyResult && !PyErr_Occurred())
        return pyResult;
    Sbk_QNetworkCookie_RichComparison_TypeError:
    PyErr_SetString(PyExc_NotImplementedError, "operator not implemented.");
    return {};

}

} // extern "C"

static int Sbk_QNetworkCookie_traverse(PyObject *self, visitproc visit, void *arg)
{
    return SbkObject_TypeF()->tp_traverse(self, visit, arg);
}
static int Sbk_QNetworkCookie_clear(PyObject *self)
{
    return reinterpret_cast<PyTypeObject *>(SbkObject_TypeF())->tp_clear(self);
}
extern "C"
{
static PyObject *Sbk_QNetworkCookie__repr__(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    QBuffer buffer;
    buffer.open(QBuffer::ReadWrite);
    QDebug dbg(&buffer);
    dbg << *cppSelf;
    buffer.close();
    QByteArray str = buffer.data();
    int idx = str.indexOf('(');
    if (idx >= 0)
        str.replace(0, idx, Py_TYPE(self)->tp_name);
    str = str.trimmed();
    PyObject *mod = PyDict_GetItem(Py_TYPE(self)->tp_dict, Shiboken::PyMagicName::module());
    if (mod && !strchr(str, '.'))
        return Shiboken::String::fromFormat("<%s.%s at %p>", Shiboken::String::toCString(mod), str.constData(), self);
    else
        return Shiboken::String::fromFormat("<%s at %p>", str.constData(), self);
}
} // extern C

// Class Definition -----------------------------------------------
extern "C" {
static PyTypeObject *_Sbk_QNetworkCookie_Type = nullptr;
static PyTypeObject *Sbk_QNetworkCookie_TypeF(void)
{
    return _Sbk_QNetworkCookie_Type;
}

static PyType_Slot Sbk_QNetworkCookie_slots[] = {
    {Py_tp_base,        nullptr}, // inserted by introduceWrapperType
    {Py_tp_dealloc,     reinterpret_cast<void *>(&SbkDeallocWrapper)},
    {Py_tp_repr,        reinterpret_cast<void *>(Sbk_QNetworkCookie__repr__)},
    {Py_tp_hash,        nullptr},
    {Py_tp_call,        nullptr},
    {Py_tp_str,         nullptr},
    {Py_tp_getattro,    nullptr},
    {Py_tp_setattro,    nullptr},
    {Py_tp_traverse,    reinterpret_cast<void *>(Sbk_QNetworkCookie_traverse)},
    {Py_tp_clear,       reinterpret_cast<void *>(Sbk_QNetworkCookie_clear)},
    {Py_tp_richcompare, reinterpret_cast<void *>(Sbk_QNetworkCookie_richcompare)},
    {Py_tp_iter,        nullptr},
    {Py_tp_iternext,    nullptr},
    {Py_tp_methods,     reinterpret_cast<void *>(Sbk_QNetworkCookie_methods)},
    {Py_tp_getset,      nullptr},
    {Py_tp_init,        reinterpret_cast<void *>(Sbk_QNetworkCookie_Init)},
    {Py_tp_new,         reinterpret_cast<void *>(SbkObjectTpNew)},
    {0, nullptr}
};
static PyType_Spec Sbk_QNetworkCookie_spec = {
    "2:PySide6.QtNetwork.QNetworkCookie",
    sizeof(SbkObject),
    0,
    Py_TPFLAGS_DEFAULT|Py_TPFLAGS_BASETYPE|Py_TPFLAGS_HAVE_GC,
    Sbk_QNetworkCookie_slots
};

} //extern "C"


// Type conversion functions.

// Python to C++ enum conversion.
static void QNetworkCookie_RawForm_PythonToCpp_QNetworkCookie_RawForm(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::QNetworkCookie::RawForm *>(cppOut) =
        static_cast<::QNetworkCookie::RawForm>(Shiboken::Enum::getValue(pyIn));

}
static PythonToCppFunc is_QNetworkCookie_RawForm_PythonToCpp_QNetworkCookie_RawForm_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_RAWFORM_IDX]))
        return QNetworkCookie_RawForm_PythonToCpp_QNetworkCookie_RawForm;
    return {};
}
static PyObject *QNetworkCookie_RawForm_CppToPython_QNetworkCookie_RawForm(const void *cppIn)
{
    const int castCppIn = int(*reinterpret_cast<const ::QNetworkCookie::RawForm *>(cppIn));
    return Shiboken::Enum::newItem(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_RAWFORM_IDX], castCppIn);

}

static void QNetworkCookie_SameSite_PythonToCpp_QNetworkCookie_SameSite(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::QNetworkCookie::SameSite *>(cppOut) =
        static_cast<::QNetworkCookie::SameSite>(Shiboken::Enum::getValue(pyIn));

}
static PythonToCppFunc is_QNetworkCookie_SameSite_PythonToCpp_QNetworkCookie_SameSite_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX]))
        return QNetworkCookie_SameSite_PythonToCpp_QNetworkCookie_SameSite;
    return {};
}
static PyObject *QNetworkCookie_SameSite_CppToPython_QNetworkCookie_SameSite(const void *cppIn)
{
    const int castCppIn = int(*reinterpret_cast<const ::QNetworkCookie::SameSite *>(cppIn));
    return Shiboken::Enum::newItem(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX], castCppIn);

}

// Python to C++ pointer conversion - returns the C++ object of the Python wrapper (keeps object identity).
static void QNetworkCookie_PythonToCpp_QNetworkCookie_PTR(PyObject *pyIn, void *cppOut)
{
    Shiboken::Conversions::pythonToCppPointer(Sbk_QNetworkCookie_TypeF(), pyIn, cppOut);
}
static PythonToCppFunc is_QNetworkCookie_PythonToCpp_QNetworkCookie_PTR_Convertible(PyObject *pyIn)
{
    if (pyIn == Py_None)
        return Shiboken::Conversions::nonePythonToCppNullPtr;
    if (PyObject_TypeCheck(pyIn, reinterpret_cast<PyTypeObject *>(Sbk_QNetworkCookie_TypeF())))
        return QNetworkCookie_PythonToCpp_QNetworkCookie_PTR;
    return {};
}

// C++ to Python pointer conversion - tries to find the Python wrapper for the C++ object (keeps object identity).
static PyObject *QNetworkCookie_PTR_CppToPython_QNetworkCookie(const void *cppIn)
{
    auto pyOut = reinterpret_cast<PyObject *>(Shiboken::BindingManager::instance().retrieveWrapper(cppIn));
    if (pyOut) {
        Py_INCREF(pyOut);
        return pyOut;
    }
    bool changedTypeName = false;
    auto tCppIn = reinterpret_cast<const ::QNetworkCookie *>(cppIn);
    const char *typeName = typeid(*tCppIn).name();
    auto sbkType = Shiboken::ObjectType::typeForTypeName(typeName);
    if (sbkType && Shiboken::ObjectType::hasSpecialCastFunction(sbkType)) {
        typeName = typeNameOf(tCppIn);
        changedTypeName = true;
    }
    PyObject *result = Shiboken::Object::newObject(Sbk_QNetworkCookie_TypeF(), const_cast<void *>(cppIn), false, /* exactType */ changedTypeName, typeName);
    if (changedTypeName)
        delete [] typeName;
    return result;
}

// C++ to Python copy conversion.
static PyObject *QNetworkCookie_COPY_CppToPython_QNetworkCookie(const void *cppIn)
{
    return Shiboken::Object::newObject(Sbk_QNetworkCookie_TypeF(), new ::QNetworkCookie(*reinterpret_cast<const ::QNetworkCookie *>(cppIn)), true, true);
}

// Python to C++ copy conversion.
static void QNetworkCookie_PythonToCpp_QNetworkCookie_COPY(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::QNetworkCookie *>(cppOut) = *reinterpret_cast< ::QNetworkCookie *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX], reinterpret_cast<SbkObject *>(pyIn)));
}
static PythonToCppFunc is_QNetworkCookie_PythonToCpp_QNetworkCookie_COPY_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, reinterpret_cast<PyTypeObject *>(Sbk_QNetworkCookie_TypeF())))
        return QNetworkCookie_PythonToCpp_QNetworkCookie_COPY;
    return {};
}

// The signatures string for the functions.
// Multiple signatures have their index "n:" in front.
static const char *QNetworkCookie_SignatureStrings[] = {
    "1:PySide6.QtNetwork.QNetworkCookie(self,name:typing.Union[PySide6.QtCore.QByteArray, char*]=QByteArray(),value:typing.Union[PySide6.QtCore.QByteArray, char*]=QByteArray())",
    "0:PySide6.QtNetwork.QNetworkCookie(self,other:PySide6.QtNetwork.QNetworkCookie)",
    "PySide6.QtNetwork.QNetworkCookie.domain(self)->QString",
    "PySide6.QtNetwork.QNetworkCookie.expirationDate(self)->PySide6.QtCore.QDateTime",
    "PySide6.QtNetwork.QNetworkCookie.hasSameIdentifier(self,other:PySide6.QtNetwork.QNetworkCookie)->bool",
    "PySide6.QtNetwork.QNetworkCookie.isHttpOnly(self)->bool",
    "PySide6.QtNetwork.QNetworkCookie.isSecure(self)->bool",
    "PySide6.QtNetwork.QNetworkCookie.isSessionCookie(self)->bool",
    "PySide6.QtNetwork.QNetworkCookie.name(self)->PySide6.QtCore.QByteArray",
    "PySide6.QtNetwork.QNetworkCookie.normalize(self,url:typing.Union[PySide6.QtCore.QUrl, QString])",
    "PySide6.QtNetwork.QNetworkCookie.parseCookies(cookieString:typing.Union[PySide6.QtCore.QByteArray, char*])->QList[PySide6.QtNetwork.QNetworkCookie]",
    "PySide6.QtNetwork.QNetworkCookie.path(self)->QString",
    "PySide6.QtNetwork.QNetworkCookie.sameSitePolicy(self)->PySide6.QtNetwork.QNetworkCookie.SameSite",
    "PySide6.QtNetwork.QNetworkCookie.setDomain(self,domain:QString)",
    "PySide6.QtNetwork.QNetworkCookie.setExpirationDate(self,date:PySide6.QtCore.QDateTime)",
    "PySide6.QtNetwork.QNetworkCookie.setHttpOnly(self,enable:bool)",
    "PySide6.QtNetwork.QNetworkCookie.setName(self,cookieName:typing.Union[PySide6.QtCore.QByteArray, char*])",
    "PySide6.QtNetwork.QNetworkCookie.setPath(self,path:QString)",
    "PySide6.QtNetwork.QNetworkCookie.setSameSitePolicy(self,sameSite:PySide6.QtNetwork.QNetworkCookie.SameSite)",
    "PySide6.QtNetwork.QNetworkCookie.setSecure(self,enable:bool)",
    "PySide6.QtNetwork.QNetworkCookie.setValue(self,value:typing.Union[PySide6.QtCore.QByteArray, char*])",
    "PySide6.QtNetwork.QNetworkCookie.swap(self,other:PySide6.QtNetwork.QNetworkCookie)",
    "PySide6.QtNetwork.QNetworkCookie.toRawForm(self,form:PySide6.QtNetwork.QNetworkCookie.RawForm=QNetworkCookie.RawForm.Full)->PySide6.QtCore.QByteArray",
    "PySide6.QtNetwork.QNetworkCookie.value(self)->PySide6.QtCore.QByteArray",
    "PySide6.QtNetwork.QNetworkCookie.__copy__()",
    nullptr}; // Sentinel

void init_QNetworkCookie(PyObject *module)
{
    _Sbk_QNetworkCookie_Type = Shiboken::ObjectType::introduceWrapperType(
        module,
        "QNetworkCookie",
        "QNetworkCookie",
        &Sbk_QNetworkCookie_spec,
        &Shiboken::callCppDestructor< ::QNetworkCookie >,
        0,
        0,
        0);
    auto *pyType = Sbk_QNetworkCookie_TypeF(); // references _Sbk_QNetworkCookie_Type
    InitSignatureStrings(pyType, QNetworkCookie_SignatureStrings);
    SbkObjectType_SetPropertyStrings(reinterpret_cast<PyTypeObject *>(_Sbk_QNetworkCookie_Type), Sbk_QNetworkCookie_PropertyStrings);
    SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_IDX]
        = Sbk_QNetworkCookie_TypeF();

    // Register Converter
    SbkConverter *converter = Shiboken::Conversions::createConverter(Sbk_QNetworkCookie_TypeF(),
        QNetworkCookie_PythonToCpp_QNetworkCookie_PTR,
        is_QNetworkCookie_PythonToCpp_QNetworkCookie_PTR_Convertible,
        QNetworkCookie_PTR_CppToPython_QNetworkCookie,
        QNetworkCookie_COPY_CppToPython_QNetworkCookie);

    Shiboken::Conversions::registerConverterName(converter, "QNetworkCookie");
    Shiboken::Conversions::registerConverterName(converter, "QNetworkCookie*");
    Shiboken::Conversions::registerConverterName(converter, "QNetworkCookie&");
    Shiboken::Conversions::registerConverterName(converter, typeid(::QNetworkCookie).name());

    // Add Python to C++ copy (value, not pointer neither reference) conversion to type converter.
    Shiboken::Conversions::addPythonToCppValueConversion(converter,
        QNetworkCookie_PythonToCpp_QNetworkCookie_COPY,
        is_QNetworkCookie_PythonToCpp_QNetworkCookie_COPY_Convertible);

    // Initialization of enums.

    // Initialization of enum 'RawForm'.
    SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_RAWFORM_IDX] = Shiboken::Enum::createScopedEnum(Sbk_QNetworkCookie_TypeF(),
        "RawForm",
        "2:PySide6.QtNetwork.QNetworkCookie.RawForm",
        "QNetworkCookie::RawForm");
    if (!SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_RAWFORM_IDX])
        return;

    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_RAWFORM_IDX],
        Sbk_QNetworkCookie_TypeF(), "NameAndValueOnly", (long) QNetworkCookie::RawForm::NameAndValueOnly))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_RAWFORM_IDX],
        Sbk_QNetworkCookie_TypeF(), "Full", (long) QNetworkCookie::RawForm::Full))
        return;
    // Register converter for enum 'QNetworkCookie::RawForm'.
    {
        SbkConverter *converter = Shiboken::Conversions::createConverter(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_RAWFORM_IDX],
            QNetworkCookie_RawForm_CppToPython_QNetworkCookie_RawForm);
        Shiboken::Conversions::addPythonToCppValueConversion(converter,
            QNetworkCookie_RawForm_PythonToCpp_QNetworkCookie_RawForm,
            is_QNetworkCookie_RawForm_PythonToCpp_QNetworkCookie_RawForm_Convertible);
        Shiboken::Enum::setTypeConverter(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_RAWFORM_IDX], converter, false);
        Shiboken::Conversions::registerConverterName(converter, "QNetworkCookie::RawForm");
        Shiboken::Conversions::registerConverterName(converter, "RawForm");
    }
    // End of 'RawForm' enum.

    // Initialization of enum 'SameSite'.
    SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX] = Shiboken::Enum::createScopedEnum(Sbk_QNetworkCookie_TypeF(),
        "SameSite",
        "2:PySide6.QtNetwork.QNetworkCookie.SameSite",
        "QNetworkCookie::SameSite");
    if (!SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX])
        return;

    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX],
        SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX], "Default", (long) QNetworkCookie::SameSite::Default))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX],
        SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX], "None_", (long) QNetworkCookie::SameSite::None))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX],
        SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX], "Lax", (long) QNetworkCookie::SameSite::Lax))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX],
        SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX], "Strict", (long) QNetworkCookie::SameSite::Strict))
        return;
    // Register converter for enum 'QNetworkCookie::SameSite'.
    {
        SbkConverter *converter = Shiboken::Conversions::createConverter(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX],
            QNetworkCookie_SameSite_CppToPython_QNetworkCookie_SameSite);
        Shiboken::Conversions::addPythonToCppValueConversion(converter,
            QNetworkCookie_SameSite_PythonToCpp_QNetworkCookie_SameSite,
            is_QNetworkCookie_SameSite_PythonToCpp_QNetworkCookie_SameSite_Convertible);
        Shiboken::Enum::setTypeConverter(SbkPySide6_QtNetworkTypes[SBK_QNETWORKCOOKIE_SAMESITE_IDX], converter, false);
        Shiboken::Conversions::registerConverterName(converter, "QNetworkCookie::SameSite");
        Shiboken::Conversions::registerConverterName(converter, "SameSite");
    }
    // End of 'SameSite' enum.

    qRegisterMetaType< ::QNetworkCookie::RawForm >("QNetworkCookie::RawForm");
    qRegisterMetaType< ::QNetworkCookie::SameSite >("QNetworkCookie::SameSite");
}
